org.apache.cassandra.io.sstable.metadata

## Class MetadataComponent

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.MetadataComponent

All Implemented Interfaces:
  java.lang.Comparable<MetadataComponent>

Direct Known Subclasses:
  CompactionMetadata, SerializationHeader.Component, StatsMetadata, ValidationMetadata

    public abstract class MetadataComponent
    extends java.lang.Object
    implements java.lang.Comparable<MetadataComponent>

MetadataComponent is a component for SSTable metadata and serialized to Stats.db.

### Constructor Summary

Constructors
Constructor and Description
`MetadataComponent()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`int` `compareTo(MetadataComponent o)`
`abstract MetadataType` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataComponent

    public MetadataComponent()

### Method Detail

#### getType

    public abstract MetadataType getType()

Returns:
  Metadata component type

#### compareTo

    public int compareTo(MetadataComponent o)

Specified by:
  `compareTo` in interface `java.lang.Comparable<MetadataComponent>`